## ros-jazzy-moveit-setup-framework 2.10.0

=== debian/changelog ===
ros-jazzy-moveit-setup-framework (2.10.0-2bookworm) bookworm; urgency=high

  * Apply clang-tidy fixes
  * Migrate ros-planning org to moveit (#2847 <https://github.com/moveit/moveit2/issues/2847>)
    * Rename github.com/ros-planning -> github.com/moveit
    * Rename ros-planning.github.io -> moveit.github.io
    * Rename ros-planning organization in docker and CI workflow files
    - ghcr.io/ros-planning -> ghcr.io/moveit
    - github.repository == 'moveit/*''
  * Unify log names (#2720 <https://github.com/moveit/moveit2/issues/2720>)
    Co-authored-by: Abishalini Sivaraman <mailto:abi.gpuram@gmail.com>
  * CMake format and lint in pre-commit (#2683 <https://github.com/moveit/moveit2/issues/2683>)
  * Contributors: Robert Haschke, Sebastian Jahr, Tyler Weaver

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 12 Jun 2024 16:00:00 -0000

ros-jazzy-moveit-setup-framework (2.9.0-2bookworm) bookworm; urgency=high

  * Node logging for the rest of MoveIt (#2599 <https://github.com/ros-planning/moveit2/issues/2599>)
  * Update pre-commit and add to .codespell_words (#2465 <https://github.com/ros-planning/moveit2/issues/2465>)
  * Fix #1971 <https://github.com/ros-planning/moveit2/issues/1971> (#2428 <https://github.com/ros-planning/moveit2/issues/2428>)
  * Merge branch 'main' into dependabot/github_actions/SonarSource/sonarcloud-github-c-cpp-2
  * Fix collisions_updater CLI if no package is used (#2344 <https://github.com/ros-planning/moveit2/issues/2344>)
    * Fix collisions_updater CLI if no package is used
    The exceptions introduced with https://github.com/ros-planning/moveit2/pull/2032
    prevented from running the collisions updater CLI without a ROS package.
    This fix makes ROS packages optional again, allowing to use the CLI with absolute
    paths only.
    * Improve warn message wording
  * Contributors: David V. Lu!!, Henning Kayser, Sebastian Jahr, Shobuj Paul, Tyler Weaver

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 08 Jan 2024 16:00:00 -0000

ros-jazzy-moveit-setup-framework (2.8.0-2bookworm) bookworm; urgency=high

  * Replaced boost::algorithm::join with fmt::join (#2273 <https://github.com/ros-planning/moveit2/issues/2273>)
    * Replaced boost::algorithm::join with fmt::join
    * Made changes in CMakeLists.txt to accomodate fmt
    * Updated package.xml files
    * removed redundant boost dependencies
    * Rename variables -> variable
    ---------
    Co-authored-by: Sebastian Castro <4603398+sea-bass@users.noreply.github.com>
    Co-authored-by: Sebastian Jahr <sebastian.jahr@picknik.ai>
  * Contributors: Shobuj Paul

 -- David V. Lu!! <davidvlu@gmail.com>  Sat, 09 Sep 2023 16:00:00 -0000

ros-jazzy-moveit-setup-framework (2.7.4-2bookworm) bookworm; urgency=high



 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 17 May 2023 16:00:00 -0000

ros-jazzy-moveit-setup-framework (2.7.3-2bookworm) bookworm; urgency=high

  * Replace Variable PROJECT_NAME in CMakeLists.txt with the actual name (#2020 <https://github.com/ros-planning/moveit2/issues/2020>)
  * Contributors: Shobuj Paul

 -- David V. Lu!! <davidvlu@gmail.com>  Sun, 23 Apr 2023 16:00:00 -0000

ros-jazzy-moveit-setup-framework (2.7.2-2bookworm) bookworm; urgency=high

  * Add URDF Loader Exceptions and Fix Infinite While-Loop when URDF file isn't in a ROS Package (#2032 <https://github.com/ros-planning/moveit2/issues/2032>)
    * Fixed infinite while loop in utilities.cpp and added some exception handling to start screen widget
    * Fix trailing whitespace, fix getSharePath exception catch on empty request
    * Fix clang tidy suggestion and error message updates based on pr comments
  * Contributors: Chance Cardona

 -- David V. Lu!! <davidvlu@gmail.com>  Mon, 17 Apr 2023 16:00:00 -0000

ros-jazzy-moveit-setup-framework (2.7.1-2bookworm) bookworm; urgency=high

  * Fix member naming (#1949 <https://github.com/ros-planning/moveit2/issues/1949>)
    * Update clang-tidy rules for readability-identifier-naming
    Co-authored-by: Sebastian Jahr <mailto:sebastian.jahr@picknik.ai>
  * Contributors: Robert Haschke

 -- David V. Lu!! <davidvlu@gmail.com>  Wed, 22 Mar 2023 16:00:00 -0000

ros-jazzy-moveit-setup-framework (2.7.0-2bookworm) bookworm; urgency=high

  * Merge PR #1712 <https://github.com/ros-planning/moveit2/issues/1712>: fix clang compiler warnings + stricter CI
  * Add default constructors
    ... as they are not implicitly declared anymore
  * Add default copy/move constructors/assignment operators
    As a user-declared destructor deletes any implicitly-defined move constructor/assignment operator,
    we need to declared them manually. This in turn requires to declare the copy constructor/assignment as well.
  * Fix -Wdelete-non-abstract-non-virtual-dtor
  * Fix BSD license in package.xml (#1796 <https://github.com/ros-planning/moveit2/issues/1796>)
    * fix BSD license in package.xml
    * this must also be spdx compliant
  * Minimize use of this-> (#1784 <https://github.com/ros-planning/moveit2/issues/1784>)
    It's often unnecessary. MoveIt already avoids this in most cases
    so this PR better cements that existing pattern.
  * Add braces around blocks. (#999 <https://github.com/ros-planning/moveit2/issues/999>)
  * Use <> for non-local headers (#1734 <https://github.com/ros-planning/moveit2/issues/1734>)
    Unless a header lives in the same or a child directory of the file
    including it, it's recommended to use <> for the #include statement.
    For more information, see the C++ Core Guidelines item SF.12
    https://isocpp.github.io/CppCoreGuidelines/CppCoreGuidelines#sf12-prefer-the-quoted-form-of-include-for-files-relative-to-the-including-file-and-the-angle-bracket-form-everywhere-else
  * Fix clang-tidy issues (#1706 <https://github.com/ros-planning/moveit2/issues/1706>)
    * Blindly apply automatic clang-tidy fixes
    * Exemplarily cleanup a few automatic clang-tidy fixes
    * Clang-tidy fixups
    * Missed const-ref fixups
    * Fix unsupported non-const -> const
    * More fixes

